Maude> ==========================================
rewrite in GEO-INIT : {scenario-1-336} .
rewrites: 3777992 in 20513ms cpu (20519ms real) (184171 rewrites/second)
result State: {
  depositionalContact((16,19) :: ((3,16) :: ((2,3) :: ((1,2) :: ((0,1) :: nil))))) 
  ageComparison(
    younger(timeOf(Fault,3),timeOf(Fault,0)) :: 
    younger(timeOf(Fault,3),timeOf(Fault,1)) :: 
    younger(timeOf(Fault,3),timeOf(Fault,2)) :: 
    sameAge(timeOf(Fault,0),timeOf(Fault,1)) :: 
    sameAge(timeOf(Fault,0),timeOf(Fault,2)) :: 
    sameAge(timeOf(Fault,1),timeOf(Fault,0)) :: 
    sameAge(timeOf(Fault,1),timeOf(Fault,2)) :: 
    sameAge(timeOf(Fault,2),timeOf(Fault,0)) :: 
    sameAge(timeOf(Fault,2),timeOf(Fault,1)) :: 
    younger(timeOf(Fault,3),timeOf(Migration)) :: 
    younger(timeOf(Fault,0),timeOf(Migration)) :: 
    younger(timeOf(Fault,1),timeOf(Migration)) :: 
    younger(timeOf(Fault,2),timeOf(Migration))) 
  history("There is fault-dependent trap-formation for GeoUnit 14 by #topSeal and #lateralSeal formed completely by shale. Besides, GeoUnit 14 is permeable and porous." ::
	"There is no trap-formation for GeoUnit 5 because GeoUnit 5 is a bad quality reservoir. Even though there are #topSeal and #lateralSeal formed completely by shale." ::
	"There is no trap-formation for GeoUnit 11 because GeoUnit 11 is a bad quality reservoir. Even though there are #topSeal and #lateralSeal formed completely by shale." ::
	"There is no trap-formation for GeoUnit 8 because GeoUnit 8 is a bad quality reservoir. Even though there are #topSeal and #lateralSeal. The lateral seal is formed by GeoUnit 11, which is a bad quality reservoir, and possiblly together with shale." ::
	"oil&gas was generated by Kerogen Type II in GeoUnit 4") 
  < GeoUnit | Ocnt: 20 > 
  < Hydrocarbon | Ocnt: 1 > 
  < Fault | Ocnt: 4 > 
  accumulation(5, false) 
  accumulation(8, false) 
  accumulation(11, false) 
  accumulation(14, false) 
  < Pathways | Pathways: nil,Ocnt: 0 > 
  < 0 : Hydrocarbon | HType: "oil&gas" > 
  < 0 : Fault | FType: normalfault,Filling: non-sealing,InContactWith: (4,1,dippingAway,hangingWall,0) :: ((5,2,dippingAway,hangingWall,7) :: ((6,3,dippingAway,hangingWall,8) :: ((17,16,dippingAway,hangingWall,9) :: ((0,0,dippingTowards,footWall,4) :: ((7,1,dippingTowards,footWall,5) :: ((8,2,dippingTowards,footWall,6) :: ((9,3,dippingTowards,footWall,17) :: ((17,16,dippingAway,hangingWall,17) :: ((0,0,dippingTowards,footWall,0) :: nil))))))))) > 
  < 1 : Fault | FType: normalfault,Filling: non-sealing,InContactWith: (7,1,dippingAway,hangingWall,0) :: ((7,1,dippingAway,hangingWall,10) :: ((8,2,dippingAway,hangingWall,10) :: ((8,2,dippingAway,hangingWall,11) :: ((9,3,dippingAway,hangingWall,11) :: ((9,3,dippingAway,hangingWall,12) :: ((17,16,dippingAway,hangingWall,12) :: ((0,0,dippingTowards,footWall,7) :: ((10,1,dippingTowards,footWall,7) :: ((10,1,dippingTowards,footWall,8) :: ((11,2,dippingTowards,footWall,8) :: ((11,2,dippingTowards,footWall,9) :: ((12,3,dippingTowards,footWall,9) :: ((12,3,dippingTowards,footWall,17) :: ((17,16,dippingAway,hangingWall,17) :: ((0,0,dippingTowards,footWall,0) :: nil))))))))))))))) > 
  < 2 : Fault | FType: normalfault,Filling: non-sealing,InContactWith: (10,1,dippingAway,hangingWall,0) :: ((11,2,dippingAway,hangingWall,13) :: ((12,3,dippingAway,hangingWall,14) :: ((17,16,dippingAway,hangingWall,15) :: ((0,0,dippingTowards,footWall,10) :: ((13,1,dippingTowards,footWall,11) :: ((14,2,dippingTowards,footWall,12) :: ((15,3,dippingTowards,footWall,17) :: ((17,16,dippingAway,hangingWall,17) :: ((0,0,dippingTowards,footWall,0) :: nil))))))))) > 
  < 3 : Fault | FType: normalfault,Filling: non-sealing,InContactWith: (13,1,dippingAway,hangingWall,0) :: ((14,2,dippingAway,hangingWall,0) :: ((15,3,dippingAway,hangingWall,0) :: ((17,16,dippingAway,hangingWall,0) :: ((17,16,dippingAway,hangingWall,18) :: ((19,19,dippingAway,hangingWall,18) :: ((19,19,dippingAway,hangingWall,19) :: ((0,0,dippingAway,hangingWall,0) :: ((0,0,dippingAway,hangingWall,13) :: ((0,0,dippingAway,hangingWall,14) :: ((0,0,dippingAway,hangingWall,15) :: ((0,0,dippingAway,hangingWall,17) :: ((0,0,dippingAway,hangingWall,18) :: nil)))))))))))) > 
  trapformation(5, none, none, nil, incomparable) 
  trapformation(8, none, none, nil, incomparable) 
  trapformation(11, none, none, nil, incomparable) 
  trapformation(14, faultDependent-nonSealing, fillToMaxClosure, 15 :: (0 :: nil), timeOf(Fault,3)) 
  < 0 : GeoUnit | GeoUnit: 0,Type: shale,Permeability: non-permeable,Porosity: non-porous,SubmarineFan: basinPlain,Folded: false,DepositedIn: marine,Role: noRole,InContactWith: 18 :: (17 :: (13 :: (10 :: (7 :: (4 :: nil))))),KerogenType: "none",Hydrocarbon: null > 
  < 4 : GeoUnit | GeoUnit: 1,Type: shale,Permeability: non-permeable,Porosity: non-porous,SubmarineFan: basinPlain,Folded: false,DepositedIn: marine,Role: noRole,InContactWith: 5 :: (0 :: nil),KerogenType: "none",Hydrocarbon: 0 > 
  < 5 : GeoUnit | GeoUnit: 2,Type: sandstone,Permeability: non-permeable,Porosity: non-porous,SubmarineFan: interChannel,Folded: false,DepositedIn: marine,Role: noRole,InContactWith: 6 :: (4 :: nil),KerogenType: "none",Hydrocarbon: null > 
  < 6 : GeoUnit | GeoUnit: 3,Type: shale,Permeability: non-permeable,Porosity: non-porous,SubmarineFan: basinPlain,Folded: false,DepositedIn: marine,Role: noRole,InContactWith: 17 :: (5 :: nil),KerogenType: "none",Hydrocarbon: null > 
  < 7 : GeoUnit | GeoUnit: 1,Type: shale,Permeability: non-permeable,Porosity: non-porous,SubmarineFan: basinPlain,Folded: false,DepositedIn: marine,Role: noRole,InContactWith: 8 :: (0 :: nil),KerogenType: "none",Hydrocarbon: null > 
  < 8 : GeoUnit | GeoUnit: 2,Type: sandstone,Permeability: non-permeable,Porosity: non-porous,SubmarineFan: interChannel,Folded: false,DepositedIn: marine,Role: noRole,InContactWith: 9 :: (7 :: nil),KerogenType: "none",Hydrocarbon: null > 
  < 9 : GeoUnit | GeoUnit: 3,Type: shale,Permeability: non-permeable,Porosity: non-porous,SubmarineFan: basinPlain,Folded: false,DepositedIn: marine,Role: noRole,InContactWith: 17 :: (8 :: nil),KerogenType: "none",Hydrocarbon: null > 
  < 10 : GeoUnit | GeoUnit: 1,Type: shale,Permeability: non-permeable,Porosity: non-porous,SubmarineFan: basinPlain,Folded: false,DepositedIn: marine,Role: noRole,InContactWith: 11 :: (0 :: nil),KerogenType: "none",Hydrocarbon: null > 
  < 11 : GeoUnit | GeoUnit: 2,Type: sandstone,Permeability: non-permeable,Porosity: non-porous,SubmarineFan: interChannel,Folded: false,DepositedIn: marine,Role: noRole,InContactWith: 12 :: (10 :: nil),KerogenType: "none",Hydrocarbon: null > 
  < 12 : GeoUnit | GeoUnit: 3,Type: shale,Permeability: non-permeable,Porosity: non-porous,SubmarineFan: basinPlain,Folded: false,DepositedIn: marine,Role: noRole,InContactWith: 17 :: (11 :: nil),KerogenType: "none",Hydrocarbon: null > 
  < 13 : GeoUnit | GeoUnit: 1,Type: shale,Permeability: non-permeable,Porosity: non-porous,SubmarineFan: basinPlain,Folded: false,DepositedIn: marine,Role: noRole,InContactWith: 14 :: (0 :: nil),KerogenType: "none",Hydrocarbon: null > 
  < 14 : GeoUnit | GeoUnit: 2,Type: sandstone,Permeability: permeable,Porosity: porous,SubmarineFan: distributaryChannel,Folded: false,DepositedIn: marine,Role: noRole,InContactWith: 13 :: (15 :: nil),KerogenType: "none",Hydrocarbon: null > 
  < 15 : GeoUnit | GeoUnit: 3,Type: shale,Permeability: non-permeable,Porosity: non-porous,SubmarineFan: basinPlain,Folded: false,DepositedIn: marine,Role: noRole,InContactWith: 17 :: (14 :: nil),KerogenType: "none",Hydrocarbon: null > 
  < 17 : GeoUnit | GeoUnit: 16,Type: shale,Permeability: non-permeable,Porosity: non-porous,SubmarineFan: basinPlain,Folded: false,DepositedIn: marine,Role: noRole,InContactWith: 19 :: (18 :: (15 :: (12 :: (9 :: (6 :: (0 :: nil)))))),KerogenType: "none",Hydrocarbon: null > 
  < 18 : GeoUnit | GeoUnit: 16,Type: shale,Permeability: non-permeable,Porosity: non-porous,SubmarineFan: basinPlain,Folded: false,DepositedIn: marine,Role: noRole,InContactWith: 19 :: (17 :: (0 :: nil)),KerogenType: "none",Hydrocarbon: null > 
  < 19 : GeoUnit | GeoUnit: 19,Type: shale,Permeability: non-permeable,Porosity: non-porous,SubmarineFan: basinPlain,Folded: false,DepositedIn: marine,Role: noRole,InContactWith: 18 :: (17 :: nil),KerogenType: "none",Hydrocarbon: null >}
Maude> Bye.
